# $Revision: 1.86 $, $Date: 2010/06/04 18:22:54 $
Summary:	p2p VoIP application
Summary(pl.UTF-8):	Aplikacja VoIP p2p
Name:		skype
Version:	2.1.0.81
Release:	3
# http://www.skype.com/company/legal/promote/distributionterms.html
# distributing on CD-ROM and similar media requires approval
License:	Commercial, redistributable (see LICENSE)
Group:		Applications/Communications
Source0:	http://download.skype.com/linux/%{name}-ubuntu-intrepid_%{version}-1_amd64.deb
# Source0-md5:	1c4da1a157e95418be10e84900924f92
Patch0:		%{name}-desktop.patch
URL:		http://www.skype.com/
BuildRequires:	rpm-utils
# to force 32bit iconv
Requires:	%{_libdir}/gconv
Requires:	QtCore >= 4.2.1
Requires:	QtDBus >= 4.2.1
Requires:	QtGui >= 4.2.1
Requires:	QtNetwork >= 4.2.1
Requires:	alsa-lib >= 1.0.12
Requires:	iconv
Requires:	libsigc++ >= 2.0
Conflicts:	skype-static
Provides:	skype-program
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0
# https://developer.skype.com/jira/browse/SCL-569
%define		no_install_post_strip	1

# So that building package on AC system won't write package name dep that Th system can't understand (libstdc++4)
%define		_noautoreqdep	libstdc++.so.6

%description
p2p VoIP application.

License requirement: The Software originates from Skype and use the
links and graphics as published and indicated on
<http://www.skype.com/go/redistribution/>.

%description -l pl.UTF-8
Aplikacja VoIP p2p.

Wymaganie licencyjne: to oprogramowanie pochodzi od Skype i
wykorzystuje odnośniki i grafikę w postaci opublikowanej i oznaczonej
na <http://www.skype.com/go/redistribution/>.

%prep
%setup -qcT
ar x %{SOURCE0}
tar xzf data.tar.gz
mv usr/share/doc/skype/copyright LICENSE
mv usr/share/skype/avatars .
mv usr/bin/skype .
mv usr/share/skype/sounds .
mv usr/share/skype/lang .
mv etc/dbus-1/system.d/skype.conf .
mv usr/share/pixmaps/skype.png .
mv usr/share/applications/skype.desktop .
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_datadir}/%{name}/{lang,sounds,avatars},%{_pixmapsdir},%{_desktopdir},/etc/dbus-1/system.d}

install -p %{name} $RPM_BUILD_ROOT%{_bindir}
cp -a sounds/*.wav $RPM_BUILD_ROOT%{_datadir}/%{name}/sounds
cp -a lang/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/lang
cp -a skype.conf $RPM_BUILD_ROOT/etc/dbus-1/system.d
cp -a skype.png $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a *.desktop $RPM_BUILD_ROOT%{_desktopdir}
cp -a avatars $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
/etc/dbus-1/system.d/skype.conf
%attr(755,root,root) %{_bindir}/skype

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/avatars

%dir %{_datadir}/%{name}/lang
%lang(bg) %{_datadir}/%{name}/lang/skype_bg.qm
%lang(de) %{_datadir}/%{name}/lang/skype_de.qm
%lang(en) %{_datadir}/%{name}/lang/skype_en.qm
%lang(es) %{_datadir}/%{name}/lang/skype_es.qm
%lang(et) %{_datadir}/%{name}/lang/skype_et.qm
%lang(fr) %{_datadir}/%{name}/lang/skype_fr.qm
%lang(it) %{_datadir}/%{name}/lang/skype_it.qm
%lang(ja) %{_datadir}/%{name}/lang/skype_ja.qm
%lang(ko) %{_datadir}/%{name}/lang/skype_ko.qm
%lang(lt) %{_datadir}/%{name}/lang/skype_lt.qm
%lang(lv) %{_datadir}/%{name}/lang/skype_lv.qm
%lang(pl) %{_datadir}/%{name}/lang/skype_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/lang/skype_pt_br.qm
%lang(pt) %{_datadir}/%{name}/lang/skype_pt_pt.qm
%lang(ro) %{_datadir}/%{name}/lang/skype_ro.qm
%lang(ru) %{_datadir}/%{name}/lang/skype_ru.qm
%lang(th) %{_datadir}/%{name}/lang/skype_th.qm
%lang(tr) %{_datadir}/%{name}/lang/skype_tr.qm
%lang(uk) %{_datadir}/%{name}/lang/skype_uk.qm
%lang(zh) %{_datadir}/%{name}/lang/skype_zh_s.qm
%lang(zh_TW) %{_datadir}/%{name}/lang/skype_zh_t.qm

%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: skype.spec,v $
Revision 1.86  2010/06/04 18:22:54  arekm
- release 3

Revision 1.85  2010/05/29 22:41:30  arekm
P: skype-program

Revision 1.84  2010/02/18 09:42:02  glen
- release 2

Revision 1.83  2010/02/18 09:41:52  glen
- there is no 64bit skype, use ubuntu build as source, it does not crash and has avatars packaged

Revision 1.82  2010/01/22 16:30:34  glen
- 64bit skype

Revision 1.81  2010/01/22 16:20:35  glen
- add uk translation

Revision 1.80  2010/01/22 15:02:26  vip
- up to 2.1.0.81

Revision 1.79  2010/01/18 16:55:37  glen
- use fc10.rpm as source, that version does not crash with qt4.6
- avatars are not present in there, feel free to restore from previous tarball if they are so precious
- rel 2

Revision 1.78  2009/12/28 11:10:11  pluto
- nostrip explanation.

Revision 1.77  2009/12/23 12:25:57  glen
- up

Revision 1.76  2009/11/03 09:01:19  glen
- merge 2.1.0.47 from DEVEL

Revision 1.72.2.4  2009/10/02 06:33:59  glen
- _noautoreqdep on libstdc++.so.6

Revision 1.72.2.3  2009/10/02 06:31:27  glen
- skip debug package, fix dbus path

Revision 1.72.2.2  2009/09/09 21:24:37  arvenil
- don't strip (no more segmentation fault)
- release 0.2

Revision 1.72.2.1  2009/09/02 10:02:07  lisu
- start update to 2.1.0.47 beta
- crash after start (segmentation fault)

Revision 1.75  2009/11/02 21:39:49  mmazur
- forgot about md5sum

Revision 1.74  2009/11/02 21:01:40  mmazur
- up to 2.1.0.47; rel 1

Revision 1.73  2009/11/02 20:53:21  arekm
- rel 4; don't strip; otherwise segfaults

Revision 1.72  2009/03/02 14:49:13  glen
- force 32bit iconv (or pick random SONAME from the pkg?); rel 3

Revision 1.71  2008/06/25 10:45:40  glen
- release 2

Revision 1.70  2008/06/21 23:46:01  arvenil
- up to 2.0.0.72

Revision 1.69  2008-03-28 19:16:35  shadzik
- 2.0.0.68

Revision 1.68  2008-03-14 17:01:37  shadzik
- C: skype-static
- rel 2

Revision 1.67  2008-03-14 14:49:58  shadzik
- 2.0.0.63

Revision 1.66  2008-02-06 19:10:51  tiwek
- up to 2.0.0.43
  STBR

Revision 1.65  2008-01-21 16:41:10  glen
- R: iconv:
  QIconvCodec::convertFromUnicode: using ASCII for conversion, iconv_open failed
  QIconvCodec::convertToUnicode: using ASCII for conversion, iconv_open failed

Revision 1.64  2008-01-09 14:05:11  tiwek
- up to 2.0.0.27

Revision 1.63  2007-11-08 12:07:15  glen
- also requires libasound2 >= 1.0.12

Revision 1.62  2007-11-08 12:05:28  glen
- Qt 4.2.1 according to their page

Revision 1.61  2007-11-08 06:54:37  dzeus
- up to 2.0.0.13 (video call support)

Revision 1.60  2007/10/07 21:42:36  cactus
- rel 1.

Revision 1.59  2007/10/07 21:35:21  cactus
- now with avatars dir
- now with langs
- rel 0.9

Revision 1.58  2007/10/07 21:08:18  cactus
- updated desktop patch
- rel 0.5

Revision 1.57  2007/10/06 15:52:32  rotom
- up to 1.4.0.118

Revision 1.56  2007/08/26 12:23:50  vip
- BR for libQtDBus.so.4

Revision 1.55  2007/08/13 19:07:34  deejay1
- up to 1.4.0.99

Revision 1.54  2007/08/01 17:52:32  deejay1
- updated to 1.4.0.94
- rel 0.1

Revision 1.53  2007/07/15 14:36:00  radek
- release 0.2, cleanup, proper R

Revision 1.52  2007/07/15 14:00:41  radek
- note about the license: can we call it distributable?

Revision 1.51  2007/07/15 13:53:38  radek
- version 1.4.0.74; translations seem to have disappeared

Revision 1.50  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.48  2006/10/07 13:21:27  ankry
- fixed(?) %lang

Revision 1.47  2006/10/05 07:21:44  ankry
- TODO, rel. 0.1

Revision 1.46  2006/10/04 17:33:14  shadzik
- clean up

Revision 1.45  2006/10/04 17:05:31  shadzik
- sorted lang files

Revision 1.44  2006/10/04 17:01:30  shadzik
- 1.3.0.53 stable

Revision 1.43  2006/10/04 16:58:02  shadzik
- 1.3.0.50

Revision 1.42  2006/08/16 18:22:43  shadzik
- 1.3.0.37

Revision 1.41  2006/06/29 12:03:50  arekm
- up to 1.3.0.30

Revision 1.40  2006/02/05 11:39:45  arekm
- rel 4

Revision 1.39  2006/02/04 12:08:11  glen
- fix qt epoch

Revision 1.38  2006/02/04 11:38:47  qboosh
- don't package pure x86 package (depending on x86 libs) as amd64

Revision 1.37  2006/02/04 09:47:52  paszczus
- builds and works on amd64 too ; rel 3

Revision 1.36  2006/02/03 17:00:30  blekot
- better idea (%exclude)

Revision 1.35  2006/02/03 16:19:02  blekot
- very stupid workaround for "device is busy /dev/dsp" skype issue

Revision 1.34  2005/10/26 19:22:55  blekot
- up to 1.2.0.18
- security bug fixed (SKYPE-SB/2005-003)
- STBR!!!!!

Revision 1.33  2005/09/23 21:39:55  deejay1
- updated to 1.2.0.17

Revision 1.32  2005/07/29 12:02:36  blekot
- up to 1.2.0.11

Revision 1.31  2005/07/23 23:52:41  gotar
- it does work without dbus

Revision 1.30  2005/07/15 11:02:01  charles
- removed unnecessary BR sed

Revision 1.29  2005/07/14 09:54:22  areq
- 1.1.0.20

Revision 1.28  2005/05/25 20:52:19  deejay1
- updated to 1.1.0.13; R: dbus

Revision 1.27  2005/05/18 06:22:49  ankry
- desktop patch, np->nb, rel. 2

Revision 1.26  2005/04/25 19:59:38  blekot
- up to 1.1.0.3

Revision 1.25  2005/04/17 19:49:01  glen
- %description cosmetics

Revision 1.24  2005/03/19 12:32:19  charles
- updated to 1.0.0.20

Revision 1.23  2005/02/14 19:39:29  charles
- updated to 1.0.0.7

Revision 1.22  2005/02/14 13:22:57  charles
- proper %files, rel. 2

Revision 1.21  2005/02/13 22:50:05  bartowl
- added sound dir (it had 700 0:0 perms after install on my machine)

Revision 1.20  2005/02/01 23:09:06  charles
- updated to 1.0.0.1 (final)
- R: qt >= 3.2
- proper Categories + sed usage

Revision 1.19  2005/01/29 21:09:03  prism
- updated to 0.94.0.1

Revision 1.18  2004/12/25 13:27:59  jack
- updated to 0.93.0.3

Revision 1.17  2004/12/21 09:19:59  qboosh
- missing dir (fixes BTS#5581), fixed lang() tags

Revision 1.16  2004/11/24 15:01:31  darekr
- BR: sed >= 4.0

Revision 1.15  2004/11/09 19:36:34  jack
- updated to 0.92.0.12

Revision 1.14  2004/09/21 23:26:33  djurban
- rel. 1 as it works

Revision 1.13  2004/09/21 23:26:06  djurban
- updated to 0.92.0.2, move icons to iconsdir and comment nl translation (not included)

Revision 1.12  2004/09/19 15:09:58  freetz
- fixed .desktop file

Revision 1.11  2004/09/06 21:17:51  deejay1
- fixed dirs, removed TODO, rel up to 0.4

Revision 1.10  2004/09/06 19:17:54  jack
- added lang()

Revision 1.9  2004/09/04 20:21:14  deejay1
- updated to newer version, added todo, language change now works

Revision 1.8  2004/08/11 16:37:05  djurban
- new ver

Revision 1.7  2004/07/24 15:19:39  jack
- updated to 0.90.0.14

Revision 1.6  2004/06/30 19:34:18  jack
distfiles: kumasz?

Revision 1.5  2004/06/30 19:03:24  jack
- updated to 0.90.0.6
- now list of contacts works!

Revision 1.4  2004/06/21 20:51:59  qboosh
- pl, ExclusiveArch

Revision 1.3  2004/06/21 20:21:20  djurban
- fix install

Revision 1.2  2004/06/21 19:18:02  djurban
- adapterized, vfolders, rel. 0.2

Revision 1.1  2004/06/21 16:02:35  arekm
- initial pld release
